Bug 198830 - [GTK] Several media related tests crash sometimes with the same error
Summary: [GTK] Several media related tests crash sometimes with the same error
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-13 07:22 PDT by Miguel Gomez
Modified: 2020-05-29 08:08 PDT (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Gomez 2019-06-13 07:22:08 PDT
media/W3C/audio/events/event_canplay.html [ Crash ]
  media/event-attributes.html [ Crash ]
  media/media-controls-cancel-events.html [ Crash ]
  media/media-document-audio-size.html [ Crash ]
  media/track/track-cue-css.html [ Crash ]
  media/track/track-cue-mutable-fragment.html [ Crash ]
  media/track/track-cue-mutable-text.html [ Crash ]
  media/video-controls-captions-trackmenu-hide-on-click-outside.html [ Crash ]
  media/video-controls-captions-trackmenu-hide-on-click.html [ Crash ]
  media/video-controls-show-on-kb-or-ax-event.html [ Crash ]
  media/video-controls.html [ Crash ]
  media/video-currentTime.html [ Crash ]
  media/video-size-intrinsic-scale.html [ Crash ]
  media/video-src.html [ Crash ]
  media/video-timeupdate-reverse-play.html [ Crash ]
  media/video-trackmenu-selection.html [ Crash ]

The tests are really flaky, as sometimes they pass, but the thing is that all of them crash with the same stacktrace that points to the creation of gstreamer's internal glContext:

Thread 1 (Thread 0x7f8cde7fc700 (LWP 16908)):
#0  _g_log_abort () at ../../Source/glib-2.58.1/glib/gmessages.c:557
#1  0x00007f8d85633851 in g_log_writer_default () at ../../Source/glib-2.58.1/glib/gmessages.c:2688
#2  0x00007f8d85631bfc in g_log_structured_array () at ../../Source/glib-2.58.1/glib/gmessages.c:1923
#3  0x00007f8d856325d2 in g_log_structured_standard () at ../../Source/glib-2.58.1/glib/gmessages.c:1980
#4  0x00007f8d83c98b95 in _gdk_x11_display_error_event () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/gtk+-3.22.11/gdk/x11/gdkdisplay-x11.c:2579
#5  0x00007f8d83ca4fe3 in gdk_x_error () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/gtk+-3.22.11/gdk/x11/gdkmain-x11.c:307
#6  0x00007f8d8522b11a in _XError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#7  0x00007f8d86f1ae92 in __glXSendErrorForXcb () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/Mesa/src/glx/glx_error.c:81
#8  0x00007f8d86f17224 in glXCreateContextAttribsARB () at /home/slave/webkitgtk/gtk-linux-64-release-tests/build/WebKitBuild/DependenciesGTK/Source/Mesa/src/glx/create_context.c:119
#9  0x00007f8d862111f8 in _create_context_with_flags () at ../../Source/gst-plugins-base-1.16.0/gst-libs/gst/gl/x11/gstglcontext_glx.c:182
#10 gst_gl_context_glx_create_context () at ../../Source/gst-plugins-base-1.16.0/gst-libs/gst/gl/x11/gstglcontext_glx.c:263
#11 0x00007f8d861eaf3d in gst_gl_context_create_thread () at ../../Source/gst-plugins-base-1.16.0/gst-libs/gst/gl/gstglcontext.c:1238
#12 0x00007f8d85653835 in g_thread_proxy () at ../../Source/glib-2.58.1/glib/gthread.c:784
#13 0x00007f8d85e4afa3 in start_thread (arg=<optimized out>) at pthread_create.c:486
#14 0x00007f8d8452e4cf in clone () from /lib/x86_64-linux-gnu/libc.so.6

STDERR: 
STDERR: warning: core file may not match specified executable file.
STDERR: BFD: /usr/lib/debug/.build-id/d3/583c742dd47aaa860c5ae0c0c5bdbcd2d54f61.debug: unable to initialize decompress status for section .debug_aranges
STDERR: BFD: /usr/lib/debug/.build-id/d3/583c742dd47aaa860c5ae0c0c5bdbcd2d54f61.debug: unable to initialize decompress status for section .debug_aranges
STDERR: 
STDERR: warning: File "/usr/lib/debug/.build-id/d3/583c742dd47aaa860c5ae0c0c5bdbcd2d54f61.debug" has no build-id, file skipped
STDERR: BFD: /usr/lib/debug/.build-id/88/5dda4b4a5cea600e7b5b98c1ad86996c8d2299.debug: unable to initialize decompress status for section .debug_aranges
STDERR: BFD: /usr/lib/debug/.build-id/88/5dda4b4a5cea600e7b5b98c1ad86996c8d2299.debug: unable to initialize decompress status for section .debug_aranges
STDERR: 
STDERR: warning: File "/usr/lib/debug/.build-id/88/5dda4b4a5cea600e7b5b98c1ad86996c8d2299.debug" has no build-id, file skipped
STDERR: BFD: /usr/lib/debug/.build-id/18/b9a9a8c523e5cfe5b5d946d605d09242f09798.debug: unable to initialize decompress status for section .debug_aranges
STDERR: BFD: /usr/lib/debug/.build-id/18/b9a9a8c523e5cfe5b5d946d605d09242f09798.debug: unable to initialize decompress status for section .debug_aranges
STDERR: 
STDERR: warning: File "/usr/lib/debug/.build-id/18/b9a9a8c523e5cfe5b5d946d605d09242f09798.debug" has no build-id, file skipped
STDERR: BFD: /usr/lib/debug/.build-id/5d/cf98ad684962be494af28a1051793fd39e4ebc.debug: unable to initialize decompress status for section .debug_aranges
STDERR: BFD: /usr/lib/debug/.build-id/5d/cf98ad684962be494af28a1051793fd39e4ebc.debug: unable to initialize decompress status for section .debug_aranges
STDERR: 
STDERR: warning: File "/usr/lib/debug/.build-id/5d/cf98ad684962be494af28a1051793fd39e4ebc.debug" has no build-id, file skipped
STDERR: BFD: /usr/lib/debug/.build-id/f2/5dfd7b95be4ba386fd71080accae8c0732b711.debug: unable to initialize decompress status for section .debug_aranges
STDERR: BFD: /usr/lib/debug/.build-id/f2/5dfd7b95be4ba386fd71080accae8c0732b711.debug: unable to initialize decompress status for section .debug_aranges
STDERR: 
STDERR: warning: File "/usr/lib/debug/.build-id/f2/5dfd7b95be4ba386fd71080accae8c0732b711.debug" has no build-id, file skipped
STDERR: BFD: /usr/lib/debug/.build-id/02/6c3ba167f64f631eb8781fca2269fbc2ee7ca5.debug: unable to initialize decompress status for section .debug_aranges
STDERR: BFD: /usr/lib/debug/.build-id/02/6c3ba167f64f631eb8781fca2269fbc2ee7ca5.debug: unable to initialize decompress status for section .debug_aranges
STDERR: 
STDERR: warning: File "/usr/lib/debug/.build-id/02/6c3ba167f64f631eb8781fca2269fbc2ee7ca5.debug" has no build-id, file skipped
STDERR: BFD: /usr/lib/debug/.build-id/53/2f3d2053a6b311dd5c43019780fe1ce5503a9a.debug: unable to initialize decompress status for section .debug_aranges
STDERR: BFD: /usr/lib/debug/.build-id/53/2f3d2053a6b311dd5c43019780fe1ce5503a9a.debug: unable to initialize decompress status for section .debug_aranges
STDERR: 
STDERR: warning: File "/usr/lib/debug/.build-id/53/2f3d2053a6b311dd5c43019780fe1ce5503a9a.debug" has no build-id, file skipped
STDERR: failed to create drawable
STDERR: 
STDERR: (WebKitWebProcess:16864): Gdk-ERROR **: 02:35:45.511: The program 'WebKitWebProcess' received an X Window System error.
STDERR: This probably reflects a bug in the program.
STDERR: The error was 'BadMatch (invalid parameter attributes)'.
STDERR:   (Details: serial 249 error_code 8 request_code 148 (GLX) minor_code 34)
STDERR:   (Note to programmers: normally, X errors are reported asynchronously;
STDERR:    that is, you will receive the error a while after causing it.
STDERR:    To debug your program, run it with the GDK_SYNCHRONIZE environment
STDERR:    variable to change this behavior. You can then get a meaningful
STDERR:    backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 1 Miguel Gomez 2019-07-11 08:12:54 PDT
And more crashing somtimes with the same trace

  imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_loadedmetadata_noautoplay.html [ Crash ]
  imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_playing_noautoplay.html [ Crash ]
  imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/readyState_during_playing.html [ Crash ]
  media/audio-controls-rendering.html [ Crash ]
  media/media-fullscreen-inline.html [ Crash ]
  media/nodesFromRect-shadowContent.html [ Crash ]
  media/progress-events-generated-correctly.html [ Crash ]
  media/track/track-mode-disabled-crash.html [ Crash ]
  media/W3C/video/events/event_canplay.html [ Crash ]
  media/W3C/video/paused/paused_false_during_play.html [ Crash ]
  media/W3C/video/readyState/readyState_during_playing.html [ Crash ]
Comment 2 Miguel Gomez 2019-08-08 06:49:47 PDT
More tests crashing with the same bt:

http/tests/media/media-document-referer.html [ Crash ]
media/accessibility-closed-captions-has-aria-owns.html [ Crash ]
media/W3C/video/events/event_canplay_manual.html [ Crash ]
media/W3C/video/events/event_canplaythrough.html [ Crash ]
media/W3C/video/events/event_playing_manual.html [ Crash ]
media/W3C/video/readyState/readyState_during_loadeddata.html [ Crash ]
media/W3C/video/readyState/readyState_during_loadedmetadata.html [ Crash ]
media/track/track-active-cues.html [ Crash ]
media/track/track-css-all-cues.html [ Crash ]
Comment 3 Miguel Gomez 2019-11-28 01:18:05 PST
More tests crashing because of this. Some of them also timeout sometimes:

media/media-fragments/TC0003.html [ Pass Crash ]
media/media-fragments/TC0033.html [ Pass Crash ]
media/media-fragments/TC0055.html [ Pass Timeout Crash ]
media/media-fragments/TC0035.html [ Pass Timeout Crash ]
media/media-fragments/TC0039.html [ Pass Timeout Crash ]
media/media-fragments/TC0052.html [ Pass Timeout Crash ]
media/media-fragments/TC0053.html [ Pass Timeout Crash ]
media/media-fragments/TC0054.html [ Pass Timeout Crash ]
media/media-fragments/TC0059.html [ Pass Timeout Crash ]
Comment 4 Miguel Gomez 2019-11-28 01:57:32 PST
And more:

media/W3C/video/readyState/readyState_during_canplay.html [ Pass Crash ]
media/W3C/video/readyState/readyState_during_canplaythrough.html [ Pass Crash ]
media/audio-only-video-intrinsic-size.html [ Pass Crash ]
media/media-controls-timeline-updates-after-playing.html [ Pass Timeout Crash ]
media/media-controls-timeline-updates-when-hovered.html [ Pass Crash ]
media/track/track-cue-left-align.html [ Pass Crash ]
media/audio-controls-timeline-in-media-document.html [ Failure Pass Crash ]
media/auto-play-in-sandbox-with-allow-scripts.html [ Pass Timeout Crash ]
media/track/track-cues-pause-on-exit.html [ Pass Timeout Crash ]
media/track/video/video-track-mkv-theora-selected.html [ Failure Timeout Pass Crash ]
media/media-source/media-source-paint-to-canvas.html [ Failure Timeout ]
Comment 5 Miguel Gomez 2019-12-11 05:39:34 PST
And more:
media/W3C/video/events/event_loadedmetadata_manual.html [ Crash Pass ]
media/W3C/video/networkState/networkState_during_progress.html [ Crash Pass ]
media/media-controls-drag-timeline-set-controls-property.html [ Crash Pass ]
media/media-fragments/TC0070.html [ Crash Pass ]
media/media-fragments/TC0088.html [ Crash Pass ]
media/track/track-mode-not-changed-by-new-track.html [ Crash Pass ]
media/video-buffering-allowed.html [ Crash Pass ]
media/video-dom-autoplay.html [ Crash Pass ]
userscripts/user-script-audio-document.html [ Crash Pass ]
Comment 6 Philippe Normand 2019-12-11 05:41:30 PST
Was any investigation done to fix this X11 crash?
Comment 7 Miguel Gomez 2019-12-11 06:09:55 PST
(In reply to Philippe Normand from comment #6)
> Was any investigation done to fix this X11 crash?

Not that I know of.
Comment 8 Diego Pino 2020-01-25 04:17:23 PST
More tests:

  * media/W3C/video/events/event_order_canplay_playing.html [ Crash ]
  * media/audio-as-video-fullscreen.html [ Crash ]
  * media/audio-repaint.html [ Crash ]
  * media/controls-styling-strict.html [ Crash ]
  * media/media-controller-timeupdate.html [ Crash ]
  * media/media-controls-invalid-url.html [ Crash ]
  * media/media-controls-play-button-updates.html [ Crash ]
  * media/media-fragments/TC0031.html [ Crash ]
  * media/media-fragments/TC0072.html [ Crash ]
  * media/media-fragments/TC0081.html [ Crash ]
  * media/media-fragments/TC0094.html [ Crash ]
  * media/track/track-cue-rendering-on-resize.html [ Crash ]
  * media/track/track-cue-rendering-tree-is-removed-properly.html [ Crash ]
  * media/track/track-cues-sorted-before-dispatch.html [ Crash ]
  * media/track/track-disabled.html [ Crash ]
  * media/track/track-in-band-cues-added-once.html [ Crash ]
  * media/track/track-insert-after-load-crash.html [ Crash ]
  * media/track/track-remove-active-cue-crash.html [ Crash ]
  * media/track/video-track.html [ Crash ]
  * media/video-autoplay-allowed-but-fullscreen-required.html [ Crash ]
  * media/video-controls-captions-trackmenu-only-captions-descriptions-and-subtitles.html [ Crash ]
  * media/video-controls-drop-and-restore-timeline.html [ Crash ]
  * media/video-controls-fullscreen-volume.html [ Crash ]
  * media/video-controls-visible-audio-only.html [ Crash ]
  * media/video-does-not-loop.html [ Crash ]
  * media/video-element-other-namespace-crash.html [ Crash ]
  * media/video-fullscreen-only-controls.html [ Crash ]
  * media/video-fullscreen-only-playback.html [ Crash ]
  * media/video-fullscreen-reload-crash.html [ Crash ]
  * media/video-muted-holds-sleep-assertion.html [ Crash ]
  * media/video-pause-play-resolve.html [ Crash ]
  * media/video-play-empty-events.html [ Crash ]
  * media/video-playback-restriction-play-before-load.html [ Crash ]
  * media/video-seek-double.html [ Crash ]
  * media/video-seek-past-end-playing.html [ Crash ]
  * media/video-seekable.html [ Crash ]
  * media/video-source-type.html [ Crash ]
  * media/video-system-sleep.html [ Crash ]
  * media/video-timeupdate-during-playback.html [ Crash ]
  * media/video-volume-slider-drag.html [ Crash ]
  * media/video-volume.html [ Crash ]
Comment 9 Lauro Moura 2020-01-28 12:28:59 PST
About one week before this bug was reported, the xcb package was upgraded in the test bot:

> slave@bb-webkit-release-test-64 /var/log $ zgrep xcb1-dev dpkg.log.3.gz 
> 2019-06-04 01:08:53 upgrade libxcb1-dev:amd64 1.12-1 1.13.1-2

There is also this bug reported in upstream xcb about Skype (Chromium-based) freezing when playing video :

* [Regression 1.12->1.13] "read from connection when polling" causes video to freeze
  https://gitlab.freedesktop.org/xorg/lib/libxcb/issues/19

I tried reverting the referenced commit to see if it changed something but the last set of tests reported by Diego kept crashing.

There is also some other bugs that may be related:

* Gstreamer: [glimagesink: Xlib / xcb assertion with client-draw signal]
  https://bugzilla.gnome.org/show_bug.cgi?id=754198
  * Closed and opened the mesa bug below as it was assumed it is a driver issue

* Mesa: [crash OpenGL rendering to multiple X11 Window in multiple threads]
  https://gitlab.freedesktop.org/mesa/mesa/issues/754
  * No new action other than the initial report

* Ubuntu GTK2 app: [!xcb_xlib_threads_sequence_lost error with GTK2 applications]
  https://bugs.launchpad.net/ubuntu/+source/gtk+2.0/+bug/1808710
Comment 10 Lauro Moura 2020-02-12 19:16:29 PST
Another bunch of tests with similar behavior:


* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_loadeddata_noautoplay.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_loadedmetadata.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_pause_noautoplay.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/networkState_during_progress.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/paused_false_during_play.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/readyState_during_loadedmetadata.html	
* media/media-controller-time.html
* media/presentationmodechanged-fired-once.html
* media/restore-from-page-cache.html
* media/track/track-in-band-duplicate-tracks-when-source-changes.html
* media/track/track-in-band-legacy-api.html
* media/track/track-kind.html
* media/track/video/video-track-mkv-theora-addtrack.html
* media/track/video/video-track-mkv-theora-language.html
* media/video-controls-audiotracks-trackmenu.html
* media/video-controls-captions-trackmenu.html
* media/video-controls-in-media-document.html
* media/video-controls-no-display-with-text-track.html
* media/video-muted.html
* media/video-playing-and-pause.html

from:

https://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20(Tests)/r256478%20(12645)/results.html
Comment 11 Philippe Normand 2020-02-13 02:45:39 PST
Was a Mesa upgrade ever considered? I see that Mesa 19.0.4 fixed https://bugs.freedesktop.org/show_bug.cgi?id=99781 which looks exactly like the assert we're hitting...
Comment 12 Philippe Normand 2020-02-13 02:48:42 PST
(In reply to Philippe Normand from comment #11)
> Was a Mesa upgrade ever considered? I see that Mesa 19.0.4 fixed
> https://bugs.freedesktop.org/show_bug.cgi?id=99781 which looks exactly like
> the assert we're hitting...

Looks like this patch was reverted. Oh well. I think a Mesa upgrade would still be worth a try.
Comment 13 Lauro Moura 2020-02-13 18:28:59 PST
Few more crashes from build 12649: https://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20(Tests)/r256503%20(12649)/results.html

* http/tests/media/autoplay-if-audio-is-playing.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_canplay.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_loadeddata.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_loadstart.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_order_canplay_playing.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_progress_noautoplay.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/networkState_during_loadstart.html
* imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/readyState_during_loadeddata.html
* media/controls-styling.html
* media/media-controller-time-clamp.html
* media/media-controls-timeline-updates.html
* media/media-document-audio-controls-visible.html
* media/media-document-audio-repaint.html
* media/media-fragments/TC0004.html
* media/media-fragments/TC0005.html
* media/media-fragments/TC0006.html
* media/media-fragments/TC0030.html
* media/media-fragments/TC0032.html
* media/media-fragments/TC0076.html
* media/media-fragments/TC0093.html
* media/track/audio/audio-track-mkv-vorbis-addtrack.html
* media/track/track-css-matching-lang.html
* media/track/track-css-user-override.html
* media/track/track-in-band-style.html
* media/track/track-mode-disabled-crash.html
* media/video-concurrent-playback.html
* media/video-controls-captions-trackmenu-includes-enabled-track.html
* media/video-ended-seek-crash.html
* media/video-inactive-playback.html
* media/video-load-preload-metadata-naturalsize.html
* media/video-restricted-no-preload-auto.html
* media/W3C/audio/events/event_canplay_manual.html
* media/W3C/audio/events/event_canplaythrough.html
* media/W3C/video/events/event_loadeddata_manual.html
* media/W3C/video/events/event_loadeddata.html
* media/W3C/video/events/event_loadedmetadata.html
* media/W3C/video/events/event_loadstart.html
* media/W3C/video/events/event_order_loadstart_progress.html
* media/W3C/video/events/event_timeupdate.html
Comment 14 Diego Pino 2020-02-26 11:27:11 PST
Marking more tests as flaky failures:

 * http/tests/security/contentSecurityPolicy/media-src-allowed.html [ Crash ]
  * imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/event_playing.html [ Crash ]
  * imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/readyState_during_canplay.html [ Crash ]
  * imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/readyState_during_canplaythrough.html [ Crash ]
  * imported/w3c/web-platform-tests/html/semantics/embedded-content/media-elements/track/track-element/track-cue-rendering-after-controls-removed.html [ Crash ]
  * media/media-controller-time-constant.html [ Crash ]
  * media/media-fragments/TC0002.html [ Crash ]
  * media/media-fragments/TC0051.html [ Crash ]
  * media/media-fragments/TC0068.html [ Crash ]
  * media/media-fragments/TC0086.html [ Crash ]
  * media/media-fragments/TC0087.html [ Crash ]
  * media/remote-control-command-is-user-gesture.html [ Crash ]
  * media/remote-control-command-seek.html [ Crash ]
  * media/sources-fallback-codecs.html [ Crash ]
  * media/track/track-cue-rendering-mode-changed.html [ Crash ]
  * media/track/track-cues-seeking.html [ Crash ]
  * media/track/track-delete-during-setup.html [ Crash ]
  * media/track/track-long-word-container-sizing.html [ Crash ]
  * media/track/track-remove-by-setting-innerHTML.html [ Crash ]
  * media/track/track-remove-crash.html [ Crash ]
  * media/video-append-source.html [ Crash ]
  * media/video-currentTime-set2.html [ Crash ]
  * media/video-no-autoplay.html [ Crash ]
  * media/video-reverse-play-duration.html [ Crash ]
  * media/video-unmuted-after-play-holds-sleep-assertion.html [ Crash ]
  * userscripts/user-script-video-document.html [ Crash ]
Comment 15 Diego Pino 2020-03-31 06:16:13 PDT
media/track/track-cue-container-rendering-position.html which is returning Crash occasionally and is an entry in TestExpectations, should be tracked under this bug.
Comment 16 Lauro Moura 2020-04-05 04:19:53 PDT
Added a couple more to the mix:

* compositing/overflow/overflow-compositing-descendant.html
* http/tests/media/user-gesture-preserved-across-xmlhttprequest.html
Comment 17 Lauro Moura 2020-04-12 12:32:59 PDT
Some more crashes:

* media/video-plays-past-end-of-test.html
* media/audio-play-with-video-element.html
Comment 18 Philippe Normand 2020-04-12 14:40:40 PDT
Looking at this stack trace reported almost a year ago, I'd just recommend to skip all media tests relying on <video> until someone upgrades Mesa (or gets the bots migrated to Flatpak, which has a more recent release), otherwise comments will just keep piling up here :(
Comment 19 Charlie Turner 2020-05-19 07:38:11 PDT
I was surprised to find this during working on web view tests that also have issues https://bugs.webkit.org/show_bug.cgi?id=210635

(In reply to Philippe Normand from comment #11)
> Was a Mesa upgrade ever considered? I see that Mesa 19.0.4 fixed
> https://bugs.freedesktop.org/show_bug.cgi?id=99781 which looks exactly like
> the assert we're hitting...

I'm running on Debian Buster with 18.3.6, and I can't reproduce a crash in media/media-fragments at least, however this is obviously a threading issue, probably more easily reproducible on a machine like the bot with lots of hardware concurrency than my laptop.

Maybe Debian has patched Mesa, maybe not. I also run with a master GStreamer, maybe an upgrade there helps (don't know what is on the bot)

Skipping all the media tests is not a solution, it's going to make our media backend even less stable than it already is. Is it possible someone with access to the bot can try these upgrades?
Comment 20 Xabier Rodríguez Calvar 2020-05-29 08:08:33 PDT
(In reply to Charlie Turner from comment #19)
> I'm running on Debian Buster with 18.3.6, and I can't reproduce a crash in
> media/media-fragments at least, however this is obviously a threading issue,
> probably more easily reproducible on a machine like the bot with lots of
> hardware concurrency than my laptop.
> 
> Maybe Debian has patched Mesa, maybe not. I also run with a master
> GStreamer, maybe an upgrade there helps (don't know what is on the bot)
> 
> Skipping all the media tests is not a solution, it's going to make our media
> backend even less stable than it already is. Is it possible someone with
> access to the bot can try these upgrades?

I have Debian testing with 19.3.3-1, but I am running it from JHBuild, so whatever version there is there, GStreamer included. I can reproduce the bug so I guess if this is fixed, it would be in GStreamer.